DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# Xor

logic operation

## SYNOPSIS

`#include "dip_math.h"`

dip_Error dip_Xor ( in1, in2, out )

## DATA TYPES

binary, integer

## FUNCTION

The function `Xor` performs the logic XOR operation between the corresponding pixels in `in1` and `in2`, and stores the result in `out`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in1` | First binary input image
`dip_Image` | `in2` | Second binary input image
`dip_Image` | `out` | Output image

## SEE ALSO

`And`, `Or`, `Invert`

DIPlib on-line documentation | Function reference | Global function index